__declare__("""
def normcase(s: String) -> path: String

def isabs(s: String) -> isabs: StrictBoolean

def join(a: String, *p: Sequence(String)) -> path: String

def splitdrive(p: String) -> (drivespec: String, pathspec: String)

def splitunc(p: String)  -> (unc: String, res: String)

def split(p: String) -> (head: String, tail: String)

def splitext(p: String) -> (root: String, ext: String)

def basename(p: String) -> base: String

def dirname(p: String) -> head: String

def commonprefix(m: Sequence(String)) -> prefix: String

def getsize(filename: String) -> size: Int

def getmtime(filename: String) -> ticks: Int

def getatime(path: String) -> ticks: Int

def islink(filename: String) -> link: StrictBoolean

def exists(path: String) -> exists: StrictBoolean

def isdir(path: String) -> dir: StrictBoolean

def isfile(filename: String) -> isfile: StrictBoolean

def ismount(path: String) -> ismount: StrictBoolean

def walk(top: String, func: Callable, arg ) -> None

def expanduser(path: String) -> expanded: String

def expandvars(path: String) -> expanded: String

def normpath(path: String) -> normalized: String

def abspath(path: String) -> normalized: String
""")
